import './commonContent.scss';
import {createElement} from "../../_global/scripts/helpers";
import {createButton} from "../../atoms/button/ButtonComponent";

export const createCommonContent = ({
    text = "Möchten Sie, dass zusätzliche regionale Inhalte Ihrer IHK zum Thema auf dieser Seite eingeblendet werden?",
    noCta = {
        label: 'Nein danke',
        link: '#',
        target: '_self',
    },
    yesCta = {
        label: 'Ja gerne',
        link: '#',
        target: '_self',
    }
}) => {
    const common = createElement('div', ['common-content', 'variant-subtle-primary']);

    const p = createElement('p', [], text, common);
    const buttons = createElement('div', ['buttons'], null, common);
    buttons.appendChild(createButton({
        label: noCta.label,
        link: noCta.link,
        color: 'white',
        size: 'small',
        icon: 'schliessen',
        iconPosition: 'icon-right'
    }));
    buttons.appendChild(createButton({
        label: yesCta.label,
        link: yesCta.link,
        color: 'secondary',
        size: 'small',
        icon: 'check',
        iconPosition: 'icon-right'
    }));

    return common;
}